package require ::quartus::project

puts "Setting Device and Pinout for EP1C20F400C7"

set_global_assignment -name "FAMILY" "Cyclone"
set_global_assignment -name "DEVICE" "EP1C20F400C7"
set_location_assignment -to "clk" "pin_k5"
set_location_assignment -to "in_port_to_the_button_pio\[0\]" "pin_w3"
set_location_assignment -to "in_port_to_the_button_pio\[1\]" "pin_y4"
set_location_assignment -to "in_port_to_the_button_pio\[2\]" "pin_v4"
set_location_assignment -to "in_port_to_the_button_pio\[3\]" "pin_w4"
set_location_assignment -to "out_port_from_the_led_pio\[0\]" "pin_e14"
set_location_assignment -to "out_port_from_the_led_pio\[1\]" "pin_e13"
set_location_assignment -to "out_port_from_the_led_pio\[2\]" "pin_c14"
set_location_assignment -to "out_port_from_the_led_pio\[3\]" "pin_d14"
set_location_assignment -to "out_port_from_the_led_pio\[4\]" "pin_e12"
set_location_assignment -to "out_port_from_the_led_pio\[5\]" "pin_f12"
set_location_assignment -to "out_port_from_the_led_pio\[6\]" "pin_b3"
set_location_assignment -to "out_port_from_the_led_pio\[7\]" "pin_b14"
set_location_assignment -to "pwm_out_from_the_my_pwm" "Pin_b14"
set_location_assignment -to "reset_n" "pin_c4"
set_location_assignment -to "rxd_to_the_uart1" "pin_k16"
set_location_assignment -to "txd_from_the_uart1" "pin_m14"

puts "Complete"