package require ::quartus::project

puts "Setting Device and Pinout for EP1S10F780C6ES"

set_global_assignment -name "FAMILY" "Stratix"
set_global_assignment -name "DEVICE" "EP1S10F780C6ES"
set_location_assignment -to "clk" "pin_k17"
set_location_assignment -to "in_port_to_the_button_pio\[0\]" "pin_w5"
set_location_assignment -to "in_port_to_the_button_pio\[1\]" "pin_w6"
set_location_assignment -to "in_port_to_the_button_pio\[2\]" "pin_ab2"
set_location_assignment -to "in_port_to_the_button_pio\[3\]" "pin_ab1"
set_location_assignment -to "out_port_from_the_led_pio\[0\]" "pin_h27"
set_location_assignment -to "out_port_from_the_led_pio\[1\]" "pin_h28"
set_location_assignment -to "out_port_from_the_led_pio\[2\]" "pin_l23"
set_location_assignment -to "out_port_from_the_led_pio\[3\]" "pin_l24"
set_location_assignment -to "out_port_from_the_led_pio\[4\]" "pin_j25"
set_location_assignment -to "out_port_from_the_led_pio\[5\]" "pin_j26"
set_location_assignment -to "out_port_from_the_led_pio\[6\]" "pin_l20"
set_location_assignment -to "out_port_from_the_led_pio\[7\]" "pin_l19"
set_location_assignment -to "pwm_out_from_the_my_pwm" "Pin_L19"
set_location_assignment -to "reset_n" "pin_ac9"
set_location_assignment -to "rxd_to_the_uart1" "pin_y28"
set_location_assignment -to "txd_from_the_uart1" "pin_u21"

puts "Complete"