#include "nios.h"

int main(void)
	{

	typedef struct      // define structure of pwm peripheral
		{
		int divider;	// read/write, 8 bits
		int duty; 		// read/write, 8 bits
		} np_usersocket;

	char rx_char;

	np_usersocket *pwm = na_my_pwm;   // declare pointer pwm for pwm peripheral


	printf("\nHi\n");   // to show that Nios is alive

	pwm->divider = 0xff;
	pwm->duty = 0xff;   // default duty cycle

	while (1)
	{
	  	while ((rx_char = nr_uart_rxchar(nasys_printf_uart)) < 0);  // wait for valid character

		switch (rx_char)
		{
			case '4':
				pwm->duty = 0xff;
				printf("4\n");
				break;

			case '3':
				pwm->duty = 0x80;
				printf("3\n");
				break;

			case '2':
				pwm->duty = 0x30;
				printf("2\n");
				break;

			case '1':
				pwm->duty = 0x10;
				printf("1\n");
				break;

			case '0':
				exit(0);
				break;

			default:
				break;
		}
	}
}

